VULKAN_HPP_NAMESPACE::Extent2D Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| Extent2D (uint32_t width_=0, uint32_t height_=0)
| Extent2D (VkExtent2D const &rhs)
Extent2D & | operator= (VkExtent2D const &rhs)
Extent2D & | setWidth (uint32_t width_)
Extent2D & | setHeight (uint32_t height_)
| operator VkExtent2D const & () const
| operator VkExtent2D & ()
bool | operator== (Extent2D const &rhs) const
bool | operator!= (Extent2D const &rhs) const

## Data Fields

uint32_t | width
uint32_t | height

## Detailed Description

Definition at line 5223 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Extent2D() [1/2]

VULKAN_HPP_NAMESPACE::Extent2D::Extent2D | ( | uint32_t | width_ = `0`,
|  | uint32_t | height_ = `0`
| ) |  |

inline

Definition at line 5225 of file vulkan.hpp.

: width( width_ )
, height( height_ )
{
}

## Extent2D() [2/2]

VULKAN_HPP_NAMESPACE::Extent2D::Extent2D | ( | VkExtent2D const & | rhs | ) |

inline

Definition at line 5232 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Extent2D ) );
}

References memcpy.

## Member Function Documentation

## operator VkExtent2D &()

VULKAN_HPP_NAMESPACE::Extent2D::operator VkExtent2D & | ( |  | ) |

inline

Definition at line 5259 of file vulkan.hpp.

{
return *reinterpret_cast<VkExtent2D*>(this);
}

## operator VkExtent2D const &()

VULKAN_HPP_NAMESPACE::Extent2D::operator VkExtent2D const & | ( |  | ) | const

inline

Definition at line 5254 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExtent2D*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::Extent2D::operator!= | ( | Extent2D const & | rhs | ) | const

inline

Definition at line 5270 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

Extent2D& VULKAN_HPP_NAMESPACE::Extent2D::operator= | ( | VkExtent2D const & | rhs | ) |

inline

Definition at line 5237 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( Extent2D ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::Extent2D::operator== | ( | Extent2D const & | rhs | ) | const

inline

Definition at line 5264 of file vulkan.hpp.

{
return ( width == rhs.width )
&& ( height == rhs.height );
}

References height, and width.

Referenced by operator!=().

## setHeight()

Extent2D& VULKAN_HPP_NAMESPACE::Extent2D::setHeight | ( | uint32_t | height_ | ) |

inline

Definition at line 5248 of file vulkan.hpp.

{
height = height_;
return *this;
}

## setWidth()

Extent2D& VULKAN_HPP_NAMESPACE::Extent2D::setWidth | ( | uint32_t | width_ | ) |

inline

Definition at line 5242 of file vulkan.hpp.

{
width = width_;
return *this;
}

## Field Documentation

## height

uint32_t VULKAN_HPP_NAMESPACE::Extent2D::height

Definition at line 5276 of file vulkan.hpp.

Referenced by operator==().

## width

uint32_t VULKAN_HPP_NAMESPACE::Extent2D::width

Definition at line 5275 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

width
GLint GLint GLsizei width
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::Extent2D::height
uint32_t height
Definition: vulkan.hpp:5276
memcpy
#define memcpy
Definition: SDL_malloc.c:630
height
GLint GLint GLsizei GLsizei height
Definition: SDL_opengl.h:1572
VkExtent2D
Definition: vulkan_core.h:2359
VULKAN_HPP_NAMESPACE::Extent2D::Extent2D
Extent2D(uint32_t width_=0, uint32_t height_=0)
Definition: vulkan.hpp:5225
VULKAN_HPP_NAMESPACE::Extent2D::width
uint32_t width
Definition: vulkan.hpp:5275
VULKAN_HPP_NAMESPACE::Extent2D::operator==
bool operator==(Extent2D const &rhs) const
Definition: vulkan.hpp:5264